Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 3074)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 3075)
@@ -1453,18 +1329,12 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)pieldrw.h \
-  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
@@ -1472,13 +1342,11 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h pihisto.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h
+  $(SOPHYAINCP)resusage.h \
+  pihisto.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pawexecut.cc
  
@@ -1488,5 +1356,4 @@
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1514,9 +1381,9 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -1548,14 +1415,10 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1570,8 +1433,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1581,15 +1442,13 @@
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h \
-  $(SOPHYAINCP)ntupintf.h
+  $(SOPHYAINCP)piscdrawwdg.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc \
+  $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)dvlist.h \
@@ -1605,15 +1464,14 @@
   $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h pistdimgapp.h \
+  $(SOPHYAINCP)srandgen.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -1645,14 +1503,10 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -1667,17 +1521,12 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h pisiadw.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h basexecut.h \
-  graphexecut.h piafitting.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)resusage.h \
+  basexecut.h graphexecut.h piafitting.h nomgadapter.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
@@ -1686,4 +1535,38 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h pawexecut.h \
+  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
+ 
+$(SOPHYAOBJP)piafitting.o: piafitting.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)nbtri.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -1697,42 +1580,5 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h pawexecut.h \
-  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
- 
-$(SOPHYAOBJP)piafitting.o: piafitting.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)nbtri.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)fct2dfit.h \
   $(SOPHYAINCP)ntuple.h \
@@ -1741,15 +1587,7 @@
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h piafitting.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
+  piafitting.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1775,12 +1613,10 @@
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pdlmgr.h dlftypes.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h nobjmgr.h \
-  $(SOPHYAINCP)dvlist.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1798,18 +1634,12 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)pieldrw.h \
-  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
@@ -1817,21 +1647,21 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h nomhistadapter.h \
+  $(SOPHYAINCP)resusage.h \
+  nomhistadapter.h \
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
-  nomgfdadapter.h nomimagadapter.h nomtmatvecadapter.h \
-  $(SOPHYAINCP)generaldata.h
+  nomgfdadapter.h nomimagadapter.h nomtmatvecadapter.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd1.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc \
+  $(SOPHYAINCP)sopnamsp.h pigfd1.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1883,6 +1713,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pigfd1.cc
  
-$(SOPHYAOBJP)pigfd2.o: pigfd2.cc $(SOPHYAINCP)sopnamsp.h \
-  pigfd2.h $(SOPHYAINCP)generaldata.h \
+$(SOPHYAOBJP)pigfd2.o: pigfd2.cc \
+  $(SOPHYAINCP)sopnamsp.h pigfd2.h \
+  $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -1943,5 +1774,4 @@
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -1971,7 +1801,6 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)sopnamsp.h pihisto2d.h \
-  $(SOPHYAINCP)pimenux.h \
-  $(SOPHYAINCP)pimenubarx.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pihisto2d.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
@@ -2007,13 +1836,11 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pieldrw.h \
-  $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto2d.cc
  
 $(SOPHYAOBJP)pihisto.o: pihisto.cc \
-  $(SOPHYAINCP)sopnamsp.h pihisto.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pihisto.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2061,21 +1888,20 @@
   $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histos.h
+  $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
  
-$(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)piinit.o: piinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ntoolsinit.h \
-  $(SOPHYAINCP)tarrinit.h pistdimgapp.h \
+  $(SOPHYAINCP)tarrinit.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -2107,14 +1933,10 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2129,21 +1951,20 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
@@ -2151,10 +1972,7 @@
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h nomhistadapter.h nomgadapter.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
@@ -2168,5 +1986,4 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)poly.h \
   $(SOPHYAINCP)peida.h \
@@ -2176,5 +1993,4 @@
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)histerr.h \
@@ -2185,15 +2001,13 @@
   nomgfdadapter.h nomimagadapter.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)generaldata.h \
-  nomtarradapter.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)fioarr.h \
+  nomtmatvecadapter.h nomtarradapter.h \
   $(SOPHYAINCP)datatable.h \
-  $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h \
-  nomskymapadapter.h $(SOPHYAINCP)pixelmap.h \
+  nomskymapadapter.h \
+  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -2205,5 +2019,4 @@
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)HEALPixUtils.h \
@@ -2213,10 +2026,10 @@
   $(SOPHYAINCP)specresp.h \
   $(SOPHYAINCP)gaussfilt.h \
-  nomspecrespadapter.h \
-  $(SOPHYAINCP)specresp.h piaversion.h
+  nomspecrespadapter.h piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
 $(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
-  $(SOPHYAINCP)sopnamsp.h pintup3d.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintup3d.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2248,5 +2061,6 @@
  
 $(SOPHYAOBJP)pintuple.o: pintuple.cc \
-  $(SOPHYAINCP)sopnamsp.h pintuple.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pintuple.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
@@ -2275,10 +2089,10 @@
  
 $(SOPHYAOBJP)pipodrw.o: pipodrw.cc \
-  $(SOPHYAINCP)sopnamsp.h pipodrw.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pipodrw.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
@@ -2337,13 +2151,12 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h pistdimgapp.h \
+  $(SOPHYAINCP)smathconst.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -2375,14 +2188,10 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2397,29 +2206,26 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
  
@@ -2431,5 +2237,4 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)psighand.h \
@@ -2453,10 +2258,10 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
@@ -2488,14 +2293,10 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
@@ -2510,26 +2311,20 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h \
   $(SOPHYAINCP)piimgtools.h \
-  $(SOPHYAINCP)pioptmenux.h \
-  $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)pidrwtools.h \
   $(SOPHYAINCP)piaxestools.h \
-  $(SOPHYAINCP)piscdrawwdg.h piinit.h \
+  $(SOPHYAINCP)piscdrawwdg.h \
+  piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -2537,12 +2332,13 @@
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
-  $(SOPHYAINCP)piversion.h piaversion.h
+  $(SOPHYAINCP)piversion.h \
+  piaversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
 $(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
-  $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitvmaad.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)tmatrix.h \
@@ -2564,5 +2360,4 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
@@ -2573,19 +2368,18 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -2617,5 +2411,4 @@
   $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -2623,11 +2416,10 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)poly.h \
   $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)fmath.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -2645,18 +2437,12 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
-  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
   $(SOPHYAINCP)pifilechogen.h \
-  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)pieldrw.h \
-  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
@@ -2664,26 +2450,21 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
-  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)fct2dfit.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)matharr.h pitvmaad.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)matharr.h \
+  pitvmaad.h $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)datatable.h \
@@ -2691,7 +2472,6 @@
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pintuple.h \
-  pintup3d.h $(SOPHYAINCP)pi3ddrw.h \
-  pipodrw.h
+  $(SOPHYAINCP)pisurfdr.h \
+  pintuple.h pintup3d.h pipodrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
  
Index: /trunk/SophyaPI/PIext/pihisto2d.cc
===================================================================
--- /trunk/SophyaPI/PIext/pihisto2d.cc	(revision 3074)
+++ /trunk/SophyaPI/PIext/pihisto2d.cc	(revision 3075)
@@ -5,5 +5,5 @@
 #include "sopnamsp.h"
 #include "pihisto2d.h"
-#include "nbrandom.h"
+#include "srandgen.h"
 
 static int dbg = 0;
